/*  OpenEngine: A free open source rendering system for DirectX.
	Copyright (C) 2002 Simon Brown

	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// 4x4 full projection
#define VS_PROJECTION			0

// 3x4 spotlight projection
#define VS_SPOTTRANSFORM		4

// 3x4 attenuation transform
#define VS_ATTENUATIONTRANSFORM 7

// 4x4 world transform which gives the relative light position
#define VS_LIGHTWORLDTRANSFORM	10
// 3x3 world rotation
#define VS_WORLDORIENTATION		14

// 4x4 view transform which gives the relative light position
#define VS_LIGHTVIEWTRANSFORM	17
// 3x3 view rotation
#define VS_VIEWORIENTATION		21

// 4x4 spotlight projection
#define VS_SHADOWTRANSFORM		24

// 1x4 ambient light colour
#define PS_LIGHTCOLOUR			0
